using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje2Zadatak3
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            bool tac = true,tac2 = false;
            int izlaz = 0;
            string s = Console.ReadLine();
            int nekibroj = 0;
            string [] k = new string [27];
            if (n < 27) Console.WriteLine(izlaz);
            if (n == 27)
            {
                for (int i = 0; i < 27; i++)
                {
                    if (((int)s[i]) > (65 + i) && tac)
                    {
                        tac = false;
                        for (int j = 0; j < 27; j++)
                        {
                            if (i == j)
                                nekibroj = -1;
                            else
                                if ((int)s[j] != (65 + j + nekibroj))
                                    tac2 = true;
                        }
                    }
                    else if (((int)s[i]) > (65 + i))
                        break;
                    if (tac2)
                        break;
                    if (i == 26)
                        izlaz = 1;
                }
                Console.WriteLine(izlaz);
            }
            
        }
    }
}